{
    This file is part of the Web Service Toolkit
    Copyright (c) 2006 by Inoussa OUEDRAOGO

    This file is provide under LGPL licence which can be found at
    http://www.gnu.org/licenses/lgpl.html.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
}

unit baseobject;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, TypInfo, formaterintf;

Type

  { TBaseRemotable }

  TBaseRemotableClass = class of TBaseRemotable;
  TBaseRemotable = class(TPersistent)
  Public
    constructor Create();virtual;
    class procedure Save(
            AObject   : TBaseRemotable;
            AStore    : TAbstractFormatter;
      Const AName     : String;
      Const ATypeInfo : PTypeInfo
    );virtual;abstract;
    class procedure Load(
            AObject   : TBaseRemotable;
            AStore    : TAbstractFormatter;
      var   AName     : String;
      const ATypeInfo : PTypeInfo
    );virtual;abstract;
  End;


implementation

{ TBaseRemotable }

constructor TBaseRemotable.Create();
begin
end;


end.
