Unit googlewebapiimpunit;
{$mode objfpc}{$H+}
Interface

Uses SysUtils, Classes, formaterintf, basestubimp, type_registry, googlewebapi;

Type


  TGoogleSearch_Proxy=class(TBaseProxy,IGoogleSearch)
    Protected
      function doSpellingSuggestion(
        Const key : string; 
        Const phrase : string
      ):string;
  End;

Implementation


{ TGoogleSearch_Proxy implementation }
function TGoogleSearch_Proxy.doSpellingSuggestion(
  Const key : string; 
  Const phrase : string
):string;
Var
  locSerializer : TAbstractFormatter;
  strPrmName : string;
Begin
  locSerializer := CreateSerializer();
  Try
    locSerializer.BeginCall('doSpellingSuggestion', GetTarget(),GetAdress());
      locSerializer.Put('key', TypeInfo(string), key);
      locSerializer.Put('phrase', TypeInfo(string), phrase);
    locSerializer.EndCall();

    MakeCall(locSerializer);

    locSerializer.BeginCallRead();
      strPrmName := 'return';
      locSerializer.Get(TypeInfo(string), strPrmName, result);

  Finally
    locSerializer.Free();
  End;
End;


End.
